itpp::Event_Queue Class Reference

Event Queue class. More...

`#include <itpp/protocol/events.h>`

## Public Member Functions

| Event_Queue ()
| Constructor.
| ~Event_Queue ()
| Destructor.

## Static Public Member Functions

static void | add (Base_Event *e)
| Add event to Queue.
static Ttype | now ()
| Return current time.
static void | start ()
| Start executing events.
static void | stop ()
| Stop execution of events.
static void | clear ()
| Remove all events.

## Friends

class | Base_Signal

## Detailed Description

Event Queue class.

A class for storing and executing events. Events can be added to the queue and when the start() is called all events will be executed. Observe that Events need to be created before they are added to the queue by calling an appropriate constructor. However, expired events are destroyed automatically (the destructor is called).

Definition at line 126 of file events.h.

## Constructor & Destructor Documentation

## Event_Queue()

itpp::Event_Queue::Event_Queue | ( |  | ) |

inline

Constructor.

Definition at line 132 of file events.h.

## ~Event_Queue()

itpp::Event_Queue::~Event_Queue | ( |  | ) |

inline

Destructor.

Definition at line 134 of file events.h.

## Member Function Documentation

## add()

void itpp::Event_Queue::add | ( | Base_Event * | e | ) |

static

Add event to Queue.

Definition at line 45 of file events.cpp.

References itpp::Base_Event::delta_t, and itpp::Base_Event::expire_t.

Referenced by itpp::Signal< DataType >::operator()().

## now()

static Ttype itpp::Event_Queue::now | ( |  | ) |

inline static

Return current time.

Definition at line 139 of file events.h.

Referenced by itpp::Front_Drop_Queue::pop(), itpp::Front_Drop_Queue::push(), itpp::TTimer< THandler >::Set(), itpp::Sink::Sink(), itpp::Signal< DataType >::trigger(), itpp::TCP_Server_Application::write_to_net(), and itpp::Sink::~Sink().

## start()

void itpp::Event_Queue::start | ( |  | ) |

static

Start executing events.

Definition at line 67 of file events.cpp.

## stop()

void itpp::Event_Queue::stop | ( |  | ) |

static

Stop execution of events.

Definition at line 73 of file events.cpp.

Referenced by clear().

## clear()

void itpp::Event_Queue::clear | ( |  | ) |

static

Remove all events.

Definition at line 78 of file events.cpp.

References stop().

## Friends And Related Symbol Documentation

## Base_Signal

friend class Base_Signal

friend

Definition at line 129 of file events.h.

The documentation for this class was generated from the following files:

- itpp/protocol/events.h
- itpp/protocol/events.cpp

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8